package com.community.huiju.service.impl;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.dao.TaVersionMapper;
import com.community.huiju.dao.TpHotelImgMapper;
import com.community.huiju.dao.TpHotelMapper;
import com.community.huiju.dao.TpHotelRoomMapper;
import com.community.huiju.model.TaVersion;
import com.community.huiju.model.TpHotel;
import com.community.huiju.model.TpHotelRoom;
import com.community.huiju.service.TaVersionServicel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * version V1.0
 * class_name: $METHOD_NAME$
 * param: $METHOD_PARAM$
 * describe: TODO
 * creat_user:fuxingfan
 * creat_time: 2019/5/9
 **/
@Service("taVersionService")
@Transactional
public class TaVersionServiceimpl implements TaVersionServicel {
    
    @Autowired
    private TaVersionMapper taVersionMapper;
    /**
     * 获取版本号
     *
     * @param type
     * @return
     */
    @Override
    public ResponseBean getVersion(String type) {
        ResponseBean responseBean = new ResponseBean();
        TaVersion taVersion = taVersionMapper.getVersion(type);
        responseBean.addSuccess(taVersion);
        return responseBean;
    }
}
